[Unit]
Description=libvirt VirtualBox daemon
Documentation=man:virtvboxd(8)
Documentation=https://libvirt.org/
BindsTo=virtvboxd.socket
Wants=virtvboxd-ro.socket
Wants=virtvboxd-admin.socket
After=virtvboxd.socket
After=virtvboxd-ro.socket
After=virtvboxd-admin.socket
Conflicts=libvirtd.service
After=libvirtd.service
After=network.target
After=dbus.service
After=apparmor.service
After=remote-fs.target

[Service]
Type=notify-reload
Environment=VIRTVBOXD_ARGS="--timeout 120"
EnvironmentFile=-/etc/conf.d/virtvboxd
ExecStart=/usr/bin/virtvboxd $VIRTVBOXD_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure

[Install]
WantedBy=multi-user.target
Also=virtvboxd.socket
Also=virtvboxd-ro.socket
Also=virtvboxd-admin.socket
